public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: chronyd-and-similar: Adjust relevancy of bz#2173604
@ 2026-09-11 13:22 Stepan Broz
0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 937d363e84ab88e09e45adbed4e5ddb1db12d728
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-16T16:12:44+00:00
Stats : +9/-7 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/937d363e84ab88e09e45adbed4e5ddb1db12d728?branch=pr775-checkpolicy-revdeps
Log:
chronyd-and-similar: Adjust relevancy of bz#2173604
Do not test bz#2173604 on RHEL-9.2 or lower.
---
diff --git a/selinux-policy/chronyd-and-similar/runtest.sh b/selinux-policy/chronyd-and-similar/runtest.sh
index b88e654..269bb91 100755
--- a/selinux-policy/chronyd-and-similar/runtest.sh
+++ b/selinux-policy/chronyd-and-similar/runtest.sh
@@ -287,13 +287,15 @@ rlJournalStart
# rlRun "grep resolve /etc/nsswitch.conf"
rlPhaseEnd
- rlPhaseStartTest "bz#2173604"
- rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
- rlRun "ls -dZ /proc/sys/net/ipv6/conf/all | grep :sysctl_net_t"
- rlRun "ls -dZ /proc/sys/net/ipv6/conf/all/disable_ipv6 | grep :sysctl_net_t"
- rlSESearchRule "allow chronyc_t sysctl_net_t : dir { search } [ ]"
- rlSESearchRule "allow chronyc_t sysctl_net_t : file { getattr open read } [ ]"
- rlPhaseEnd
+ if ! rlIsRHEL "<9.3" ; then
+ rlPhaseStartTest "bz#2173604"
+ rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
+ rlRun "ls -dZ /proc/sys/net/ipv6/conf/all | grep :sysctl_net_t"
+ rlRun "ls -dZ /proc/sys/net/ipv6/conf/all/disable_ipv6 | grep :sysctl_net_t"
+ rlSESearchRule "allow chronyc_t sysctl_net_t : dir { search } [ ]"
+ rlSESearchRule "allow chronyc_t sysctl_net_t : file { getattr open read } [ ]"
+ rlPhaseEnd
+ fi
fi
if ! rlIsRHEL 5 6 7 ; then
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: chronyd-and-similar: Adjust relevancy of bz#2173604 Stepan Broz
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox